<?php

namespace App\Models;

use Dcat\Admin\Traits\HasDateTimeFormatter;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class TeamUser extends Model
{
    use HasFactory, SoftDeletes,HasDateTimeFormatter;

    public function user()
    {
        return $this->belongsTo(User::class,'user_id','id');
    }

    public function team()
    {
        return $this->belongsTo(Team::class,'team_id','id');
    }
}
